package jp.gihyo.mitoma.android.lesson01_07;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class FriendsOpenHelper extends SQLiteOpenHelper {
    private static final String DB_NAME = "friends.db";
    private static final int DB_VERSION = 1;
    public FriendsOpenHelper(Context context) {
        super(context, DB_NAME, null, DB_VERSION);
    }

    public void onCreate(SQLiteDatabase db) {
        // 初回作成時に呼ばれる
        db.execSQL("CREATE TABLE friends (id TEXT NOT NULL, name TEXT, tel TEXT)");
    }
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        // バージョン変更時の処理
        db.execSQL("DROP TABLE IF EXISTS friends");
        onCreate(db);
    }
}
